App\Domain\Registry\Model\Embeddable\ComplexChoice:
    registry_treatment:
        check: true
        comment: <word()>

App\Domain\Registry\Model\Treatment:
    registry_treatment_demoville_{1..20}:
        name: Traitement <current()>
        goal: <text()>
        statut: 'draft'
        manager: <firstName()> <lastName()>
        software: '50%? <word()>'
        legalBasis: '<(App\Domain\Registry\Dictionary\TreatmentLegalBasisDictionary::BASE_LEGAL_OBLIGATION)>'
        legalBasisJustification: '50%? <text()>'
        dataCategories: ['@registry_treatment_data_category_filiation', '@registry_treatment_data_category_social_security_number']
        dataCategoryOther: <text()>
        recipientCategory: <text()>
        concernedPeopleParticular: '@registry_treatment'
        concernedPeopleAgent: '@registry_treatment'
        contractors: ['@registry_contractor_demoville_1', '@registry_contractor_demoville_3']
        active: '80%? 1 : 0'
        collectivity: '@user_collectivity_demoville'
        legal_mentions: true
        consent_request: false

    registry_treatment_soluris_{1..10}:
        name: Traitement <current()>
        goal: <text()>
        statut: 'finished'
        manager: <firstName()> <lastName()>
        software: '50%? <word()>'
        legalBasis: '<(App\Domain\Registry\Dictionary\TreatmentLegalBasisDictionary::BASE_PUBLIC_INTEREST_MISSION)>'
        legalBasisJustification: '50%? <text()>'
        dataCategories: ['@registry_treatment_data_category_health']
        dataCategoryOther: <text()>
        recipientCategory: <text()>
        concernedPeopleUser: '@registry_treatment'
        concernedPeopleOther: '@registry_treatment'
        contractors: ['@registry_contractor_soluris_3']
        active: '80%? 1 : 0'
        collectivity: '@user_collectivity_soluris'
        legal_mentions: true
        consent_request: false

    registry_treatment_demovillage_{1..10}:
        name: Traitement <current()>
        goal: <text()>
        statut: 'checked'
        manager: <firstName()> <lastName()>
        software: '50%? <word()>'
        legalBasis: '<(App\Domain\Registry\Dictionary\TreatmentLegalBasisDictionary::BASE_LEGAL_OBLIGATION)>'
        legalBasisJustification: '50%? <text()>'
        dataCategories: [ '@registry_treatment_data_category_filiation', '@registry_treatment_data_category_social_security_number' ]
        dataCategoryOther: <text()>
        recipientCategory: <text()>
        concernedPeopleParticular: '@registry_treatment'
        concernedPeopleAgent: '@registry_treatment'
        contractors: [ '@registry_contractor_demovillage_3' ]
        active: '80%? 1 : 0'
        collectivity: '@user_collectivity_demovillage'
        legal_mentions: false
        consent_request: false
